package org.openxma.dsl.platform.dao;

import java.io.Serializable;
import java.util.List;

/**
 * Represents a java14 style version of {@see GenericDao}.
 */
@SuppressWarnings("unchecked")
public interface GenericDao14 {

	Serializable create();

	Serializable save(Serializable t);

    Serializable read(Serializable id, Class type);

	Serializable update(Serializable t);

	void delete(Serializable t);

	List findByNamedQuery(String queryName);

	List findByNamedQuery(String queryName, int resultLimit);
}
